Package com.salesforce.datacloud.jdbc.core.accessor.impl

## Class BaseListVectorAccessor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor
  - - com.salesforce.datacloud.jdbc.core.accessor.impl.BaseListVectorAccessor

All Implemented Interfaces:
  `org.apache.calcite.avatica.util.Cursor.Accessor`

Direct Known Subclasses:
  `LargeListVectorAccessor`, `ListVectorAccessor`

    public abstract class BaseListVectorAccessor
    extends QueryJDBCAccessor

### Nested Class Summary

Nested Classes
`protected static interface` `BaseListVectorAccessor.VectorProvider`

### Field Summary

### Fields inherited from class com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor

`wasNull, wasNullConsumer`

### Constructor Summary

Constructors
`protected` `BaseListVectorAccessor​(IntSupplier currentRowSupplier, QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`Array` `getArray()`
`protected abstract org.apache.arrow.vector.FieldVector` `getDataVector()`
`protected abstract long` `getEndOffset​(int index)`
`protected List<?>` `getListObject​(BaseListVectorAccessor.VectorProvider vectorProvider)`
`Class<?>` `getObjectClass()`
`protected abstract long` `getStartOffset​(int index)`
`protected abstract boolean` `isNull​(int index)`

### Methods inherited from class com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor

`getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getCurrentRow, getDate, getDouble, getFloat, getInt, getLong, getNCharacterStream, getNClob, getNString, getObject, getObject, getObject, getRef, getShort, getSQLXML, getString, getStruct, getTime, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseListVectorAccessor

    protected BaseListVectorAccessor​(IntSupplier currentRowSupplier,
                                     QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)

### Method Detail

#### getStartOffset

    protected abstract long getStartOffset​(int index)

#### getEndOffset

    protected abstract long getEndOffset​(int index)

#### getDataVector

    protected abstract org.apache.arrow.vector.FieldVector getDataVector()

#### isNull

    protected abstract boolean isNull​(int index)

#### getObjectClass

    public Class<?> getObjectClass()

Specified by:
  `getObjectClass` in class `QueryJDBCAccessor`

#### getListObject

    protected List<?> getListObject​(BaseListVectorAccessor.VectorProvider vectorProvider)
                             throws SQLException

Throws:
  `SQLException`

#### getArray

    public Array getArray()

Specified by:
  `getArray` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getArray` in class `QueryJDBCAccessor`